Commit fe998bf1 authored by Daniele Venzano's avatar Daniele Venzano

Remove version check, we require the latest docker-py library anyway

parent a0b4f9bf
......@@ -87,8 +87,9 @@ class SwarmClient:
ns = SwarmNodeStats(info["DriverStatus"][idx + node][0])
ns.docker_endpoint = info["DriverStatus"][idx + node][1]
idx2 += 1
ns.status = info["DriverStatus"][idx + node + idx2][1]
idx2 += 1
if 'Status' in info["DriverStatus"][idx + node + idx2][0]: # new docker version
ns.status = info["DriverStatus"][idx + node + idx2][1]
idx2 += 1
ns.container_count = int(info["DriverStatus"][idx + node + idx2][1])
idx2 += 1
ns.cores_reserved = int(info["DriverStatus"][idx + node + idx2][1].split(' / ')[0])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment